ChangeSet 1.1276.22.13, 2003/08/22 15:34:02-07:00, bellucda@tiscali.it

[PATCH] USB: PATCH 13/19 Audit usb_register/usb_serial_register under divers/usb/serial


 drivers/usb/serial/kobil_sct.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/kobil_sct.c b/drivers/usb/serial/kobil_sct.c
--- a/drivers/usb/serial/kobil_sct.c	Tue Sep  2 12:47:29 2003
+++ b/drivers/usb/serial/kobil_sct.c	Tue Sep  2 12:47:29 2003
@@ -743,13 +743,22 @@
 
 static int __init kobil_init (void)
 {
-	usb_serial_register (&kobil_device);
-	usb_register (&kobil_driver);
+	int retval;
+	retval = usb_serial_register(&kobil_device);
+	if (retval)
+		goto failed_usb_serial_register;
+	retval = usb_register(&kobil_driver);
+	if (retval) 
+		goto failed_usb_register;
 
 	info(DRIVER_VERSION " " DRIVER_AUTHOR);
 	info(DRIVER_DESC);
 
 	return 0;
+failed_usb_register:
+	usb_serial_deregister(&kobil_device);
+failed_usb_serial_register:
+	return retval;
 }
 
 
